Subject: Re: [PATCH v2] pull: introduce --merge option

From: Junio C Hamano <[email-masked]>
Date: Tue, 27 Jul 2021 01:45:15 -0700

Alex Henrie <[email-masked]> writes:

> Junio, would you be willing to accept adding -m without adding --merge also?

My gut feeling is that "-m" without "--merge" in the context of
"pull" is extremely unlikely to fly well.

As "git pull" is a "git fetch" followed by a "git merge" (or "git
rebase"), it takes the union of common command line options from
both phases, and "git merge" takes "-m 'message'" which is an option
fairly familiar to users (since it comes from "git commit").  Even
if we are never going to pass "-m message" from "git pull" down to
underlying "git merge", squatting on short and common "-m" would be
a bad idea.